Bug 200743 - [MAINTAINER] games/minecraft-server: rc.d improvements
Summary: [MAINTAINER] games/minecraft-server: rc.d improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-09 20:01 UTC by Jonathan Price
Modified: 2015-06-26 16:27 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (2.34 KB, patch)
2015-06-09 20:01 UTC, Jonathan Price
freebsd: maintainer-approval+
Details | Diff
Poudriere testport log (20.70 KB, text/plain)
2015-06-09 20:03 UTC, Jonathan Price
freebsd: maintainer-approval+
Details
portlint -A output (629 bytes, text/plain)
2015-06-09 20:03 UTC, Jonathan Price
freebsd: maintainer-approval+
Details
Patch File (2.71 KB, patch)
2015-06-10 08:50 UTC, Jonathan Price
freebsd: maintainer-approval+
Details | Diff
portlint -A output (684 bytes, text/plain)
2015-06-10 08:52 UTC, Jonathan Price
freebsd: maintainer-approval+
Details
Poudriere testport log (20.77 KB, text/plain)
2015-06-10 08:53 UTC, Jonathan Price
freebsd: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Price 2015-06-09 20:01:13 UTC
Created attachment 157580 [details]
Patch file

A few improvements have been made to the rc.d script:
- reduced code duplication by adding a function that checks if the server is running, instead of re-writing the check in each other function.
- added "kill" option, which sends a KILL signal to the server.
- Improved the grammar of a few of the messages

The following files have been attached:
- SVN patch
- portlint -A output
- poudriere testport log

The change has been tried with both new and existing installations
Comment 1 Jonathan Price 2015-06-09 20:03:03 UTC
Created attachment 157581 [details]
Poudriere testport log
Comment 2 Jonathan Price 2015-06-09 20:03:38 UTC
Created attachment 157582 [details]
portlint -A output
Comment 3 Jonathan Price 2015-06-10 08:50:37 UTC
Created attachment 157603 [details]
Patch File

Incremeneted PORTREVISION
Comment 4 Jonathan Price 2015-06-10 08:52:13 UTC
Created attachment 157604 [details]
portlint -A output

Revised portlint after modification to patch.
Comment 5 Jonathan Price 2015-06-10 08:53:03 UTC
Created attachment 157605 [details]
Poudriere testport log

Revised Poudriere testport log after revision to Patch file.
Comment 6 commit-hook freebsd_committer 2015-06-26 16:23:25 UTC
A commit references this bug:

Author: robak
Date: Fri Jun 26 16:22:57 UTC 2015
New revision: 390648
URL: https://svnweb.freebsd.org/changeset/ports/390648

Log:
  games/minecraft-server: improvements to startup script

  PR:		200743
  Submitted by:	Jonathan Price  <freebsd@jonathanprice.org> (maintainer)

Changes:
  head/games/minecraft-server/Makefile
  head/games/minecraft-server/files/minecraft.in
Comment 7 Bartek Rutkowski freebsd_committer 2015-06-26 16:27:30 UTC
Committed, thanks for your work!